## org.eclipse.jet.compiler
Class XMLElement

    java.lang.Object
      org.eclipse.jet.compiler.JET2ASTElement
          org.eclipse.jet.compiler.XMLElement

Direct Known Subclasses:
  XMLBodyElement, XMLEmptyElement

Deprecated. Since 0.8.0, use `XMLElement`

    public abstract class XMLElement

extends JET2ASTElement

An abstract implementation representing all XML-based elements in the JET2 AST

Constructor Summary
`XMLElement(org.eclipse.jet.compiler.JET2AST jet2ast, XMLElement element)` Deprecated.

Method Summary
`java.util.Map` `getAttributes()` Deprecated. Return a read-only map of the attributes (name to value map)
`XMLElement` `getDelegate()` Deprecated. Return the underlying new AST object to which this one delegates.
`java.lang.String` `getName()` Deprecated. Return the QName of the delegate
`java.lang.String` `getNSPrefix()` Deprecated. Return the XML Namespace prefixe of the delegate
`TagDefinition` `getTagDefinition()` Deprecated.
`java.lang.String` `getTagNCName()` Deprecated. Return the NCName (unqualified name) of the delegate.

Methods inherited from class org.eclipse.jet.compiler.JET2ASTElement
`accept, getAst, getColumn, getEnd, getLine, getNextElement, getParent, getPrevElement, getStart, removeLineWhenOtherwiseEmpty, setDelegate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLElement

    public XMLElement(org.eclipse.jet.compiler.JET2AST jet2ast,
                      XMLElement element)

  Deprecated.

Method Detail

### getName

    public final java.lang.String getName()

  Deprecated.
  Return the QName of the delegate

  Returns:
    a string

### getAttributes

    public final java.util.Map getAttributes()

  Deprecated.
  Return a read-only map of the attributes (name to value map)

  Returns:
    a Map with String keys (attribute name) and String values

### getTagNCName

    public java.lang.String getTagNCName()

  Deprecated.
  Return the NCName (unqualified name) of the delegate.

  Returns:
    the name with any XML namespace prefix (prefix:) removed

### getNSPrefix

    public java.lang.String getNSPrefix()

  Deprecated.
  Return the XML Namespace prefixe of the delegate

  Returns:
    the namespace prefix or the empty string if there is no namespace prefix.

### getTagDefinition

    public final TagDefinition getTagDefinition()

  Deprecated.
  Returns:
    Returns the td.

### getDelegate

    public XMLElement getDelegate()

  Deprecated.
  Return the underlying new AST object to which this one delegates. Useful in mashing old AST code into new.

  Intended for internal use only.

  Returns:
    the underlying `XMLElement`

Copyright 2006 IBM Corporation and others. All Rights Reserved.